Re: Indy 9.00.10 SSL Libraries

Giganews Newsgroups
Subject: Re: Indy 9.00.10 SSL Libraries
Posted by:  Remy Lebeau \(Indy Team\) (re…
Date: Wed, 3 Nov 2010

"Tom Hahn" <tha…> wrote in message

> Delphi 7, Indy 9.00.10

That is a very old version of Indy 9.  The last version was 9.0.50.

> When I try to use SMTP, I get a message "Could not
> load SSL Libraries". Since the DLLs are present, I
> suspect they are the wrong version.

Very likely, yes.  What is the output of the WhichFailedToLoad() function in
the IdSSLOpenSSLHeaders unit?

Indy 9 required custom-built OpenSSL DLLs.  It cannot use the official DLLs
from OpenSSL's website.

> Can anyone tell me the right version and where
> I can obtain them?

Try this:

Remy Lebeau (TeamB)


In response to

Indy 9.00.10 SSL Libraries posted by Tom Hahn on Wed, 3 Nov 2010